weka.core.pmml.jaxbbindings

## Enum MISSINGVALUESTRATEGY

- java.lang.Object
- - java.lang.Enum<MISSINGVALUESTRATEGY>
  - - weka.core.pmml.jaxbbindings.MISSINGVALUESTRATEGY

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MISSINGVALUESTRATEGY>

      public enum MISSINGVALUESTRATEGY
      extends java.lang.Enum<MISSINGVALUESTRATEGY>

  Java class for MISSING-VALUE-STRATEGY.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="MISSING-VALUE-STRATEGY">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="lastPrediction"/>
           <enumeration value="nullPrediction"/>
           <enumeration value="defaultChild"/>
           <enumeration value="weightedConfidence"/>
           <enumeration value="aggregateNodes"/>
           <enumeration value="none"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGGREGATE_NODES`
    `DEFAULT_CHILD`
    `LAST_PREDICTION`
    `NONE`
    `NULL_PREDICTION`
    `WEIGHTED_CONFIDENCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MISSINGVALUESTRATEGY` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static MISSINGVALUESTRATEGY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MISSINGVALUESTRATEGY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AGGREGATE_NODES

          public static final MISSINGVALUESTRATEGY AGGREGATE_NODES

    - #### DEFAULT_CHILD

          public static final MISSINGVALUESTRATEGY DEFAULT_CHILD

    - #### LAST_PREDICTION

          public static final MISSINGVALUESTRATEGY LAST_PREDICTION

    - #### NONE

          public static final MISSINGVALUESTRATEGY NONE

    - #### NULL_PREDICTION

          public static final MISSINGVALUESTRATEGY NULL_PREDICTION

    - #### WEIGHTED_CONFIDENCE

          public static final MISSINGVALUESTRATEGY WEIGHTED_CONFIDENCE

  - ### Method Detail

    - #### values

          public static MISSINGVALUESTRATEGY[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MISSINGVALUESTRATEGY c : MISSINGVALUESTRATEGY.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MISSINGVALUESTRATEGY valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static MISSINGVALUESTRATEGY fromValue(java.lang.String v)